<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
    <link href="/assets/css/required-mark.css" rel="stylesheet">
    <link href="/assets/css/avatar.css" rel="stylesheet">
</head>
<body>

<th:block th:include="~{fragments/header}"></th:block>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Admin page</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Admins</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Users Section ======= -->
    <section id="services" class="services section-bg">
        <div class="container" data-aos="fade-up">
            <div class="row">
                <div th:each="user : ${users}" class="col-lg-4 col-md-6 align-items-stretch mt-4 mt-md-0"
                     data-aos="zoom-in" data-aos-delay="200">
                    <div class="icon-box iconbox-orange">
                        <div class="icon">
                            <img th:src="${user.getUserInfo().getPicture()}" class="avatar" alt="Avatar">
                            </svg>
                        </div>
                        <h4>
                            <a th:text="${user.getUserInfo().getFirstName()} + ' ' + ${user.getUserInfo().getLastName()}"
                               href="">Test Testov</a></h4>
                        <p th:text="'E-Mail: ' + ${user.getUsername()}">Email: Example@Example.com</p>
                        <p th:text="'Phone: ' + ${user.getUserInfo().getPhone()}">Phone: +359872828282</p>
                        <br>
                        <div th:if="${!user.isAdmin()}">
                            <form action="#" th:action="@{/admins/add/{id}(id=${user.getUserInfo().getId()})}"
                                  method="post">
                                <button type="submit" class="btn btn-success">Add as agent</button>
                            </form>
                        </div>
                        <div th:if="${user.isAdmin()}">
                            <form action="#" th:action="@{/admins/remove/{id}(id=${user.getUserInfo().getId()})}"
                                  method="post">
                                <button type="submit" class="btn btn-danger">Remove agent</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section><!-- End Users Section -->
</main>
<!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<script src="/assets/js/file-upload.js"></script>
<script type="text/javascript">
    var offer = document.getElementById("admin-active")
    offer.classList.add("active")
</script>

</body>
</html>